@import (reference) '../less/platoreso.less';

#app {
  display: flex;
  flex-direction: column;
  align-content: stretch;
  min-height: 100%;
  background-color: @black;
  box-shadow: rgba(0, 0, 0, 0.15) 0 0 6px;

  // Stretch the app so that the footer is at least at the bottom of the screen
  // when the content is smaller than the window's height
  & > .interface {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    padding-top: @menuHeight;

    &.warning {
      padding-top: @menuHeight + @warningHeight !important;
      .management {
        .management-menu {
          top: @menuHeight + @warningHeight !important;
        }
      }
    }

    &.chat {
      padding-bottom: @chatHeight !important;
      .management {
        .management-menu {
          bottom: @chatHeight !important;
        }
      }
    }

    .page-layout {
      display: flex;
      flex-direction: column;
      flex: 1 1 auto;
      > section {
        display: flex;
        flex-direction: column;
        flex: 1 1 auto;
        background-color: @offWhite;
      }

      &.management {
        padding-left: @sideMenuWidth;
        .ui.container {
          margin-left: 0 !important; // Damn you semantic ui and your !important
        }
        .management-menu {
          z-index: 10;
          top: @menuHeight;
          bottom: 0;
          background-color: #23232A;
          box-shadow: rgba(0, 0, 0, 0.25) 0 1px 3px;
        }
      }
    }
  }
}

.page-content {
  flex: 1 1 auto;
  align-content: flex-start;
  header.heading {
    top: 0;
    left: 0;
    right: 0;

    display: flex !important;
    align-items: center;
    justify-content: center;

    background-size: cover;
    background-repeat: no-repeat;
    background-position: 50% 50%;
  }
}

.groups-intro {
  padding-top: 4rem !important;
  padding-bottom: 4rem !important;
  text-align: center;
  font-size: 2.5rem;
  line-height: 1;
  font-weight: 300;
  background-color: #E7E7E7;
  color: @lightBlack;
}

.projects-intro {
  padding-top: 4rem !important;
  padding-bottom: 4rem !important;
  text-align: center;
  font-size: 2.5rem;
  line-height: 1;
  font-weight: 300;
  background-color: #E7E7E7;
  color: @lightBlack;
  .content {
    font-size: 1rem;
    line-height: 1;
    margin-top: 1em;
    margin-bottom: -1em; // Removes added space
  }
}
